import request from "@/utils/request.js";


/**
 * 更新用户openid
 * 
 */
export function bannerList(data) {
  return request.get('system/front/banner/listByType', data);
}

/**
 * 更新用户openid
 * 
 */
export function updateOpenId(data) {
  return request.post('mini/user/openId', data, {noAuth:true},{});
}
/**
 * 微信登录
 * 
 */
export function wxLogin(data) {
  return request.post('auth/wxmini/login', data, {noAuth:true});
}
/**
 * 退出登录
 * 
 */
export function userLogout(data) {
  return request.post('mini/user/userLogout', data);
}
/**
 * 根据token获取用户信息
 * 
 */
export function getUserInfoApi(data) {
  return request.get('system/front/wxmini/getInfo', data);
}

/**
 * 根据token获取用户信息
 * 
 */
export function getLoginByPwdApi(data) {
  return request.post('auth/wxmini/pdlogin', data);
}